=== src/imports/CMakeLists.txt ===
add_subdirectory(graphicaleffects5)
