=== examples/core5/widgets/tools/CMakeLists.txt ===
qt_internal_add_example(codecs)
