=== debian/control ===
Source: qt6-5compat
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libghc-iconv-dev,
               libgl-dev,
               libicu-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-shadertools-dev (>= 6.10.0~)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-5compat.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-5compat
Maintainer: Neon CI <neon@kde.org>

Package: qt6-5compat
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6core5compat6, qml6-module-qt5compat-graphicaleffects
Description: Qt 6 Qt5Compat library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Core5Compat library.

Package: qt6-5compat-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-5compat (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6core5compat6-dev (<< 6.4.1-2~)
Replaces: libqt6core5compat6-dev (<< 6.4.1-2~)
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Core5Compat library.

Package: qt6-5compat-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-5compat-dev, qt6-base-doc, ${misc:Depends}
Replaces: qt6-5compat-doc-html
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the d files documentation to help build Qt 6 applications
 using the Core5Compat library.

Package: libqt6core5compat6
Architecture: all
Depends: qt6-5compat, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6core5compat6-dev
Architecture: all
Depends: qt6-5compat-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt5compat-graphicaleffects
Architecture: all
Depends: qt6-5compat, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-5compat-doc-html
Architecture: all
Depends: qt6-5compat-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
